Subject: Re: CCL: G94 on LINUX

From: "Rich McClellan" <[email-masked]>
Date: Mon, 10 Mar 1997 18:20:40 -0800

> Dear Members of CCL:
> Last week I posed a question about problems compiling G94.D4 on
> RedHat Linux 4.0. I have had a number of interesting replies which
> I plan to summarize. But I still have a problem.
> Gaussian, Inc. wrote me to suggest a hardware problem. It turns
> out this this is quite likely the actual problem. But how to fix?
> It seems that I have a faulty memory chip. My computer, a Gateway
> P6 has 64 Mbytes of new memory. The machine says all is ok on boot-
> up. But I have random problems with the C-compiler quitting.
> So maybe there is a memory problem. Gaussian suggested removing
> or switching memory. Now it appear I can compile the program
> with only 2x16 Mbytes of memory.
> So the question is, how does one test memory? OK, the computer
> thinks the memory is ok. But all the boot-up test is doing is
> writing 1, 0 into memory and then seeing if it is still there
> in a few microseconds. But it would seem that to compile and run
> a big FORTRAN program, one would be interested in having this
> same test performed 10 seconds later. How then does one test the
> long-term refresh function of big memory blocks?
> Regards, Dave Close.

There are two ways of testing your memory without rebooting your Linux box to
another OS.  The first is to use memtest available from a mirror near you (or
entropy.ucsc.edu/pub/linux/memtest86-1.1.tar.gz).  The second is a series of
kernel makes.  You can read more about the second at
http://www.bitwizard.nl/sig11/

good luck,
Rich